Groups

Page description

List groups

get

List groups in the same workspace.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1 · max: 9007199254740991Optional

Which page to fetch

Default: 1
pageSizeinteger · min: 1 · max: 30Optional

Page size to use

Default: 30
statusstring · enumOptional

Group status

Possible values:
sortBystring · enumOptional

Sort by attribute

Default: createdAtPossible values:
sortOrderstring · enumOptional

Sort order

Default: ascPossible values:
Responses
chevron-right
200

Successful response

application/json
pagenumberRequired

Current page

nextany ofRequired

Next page or null if there is none

numberOptional
or
nullOptional
prevany ofRequired

Previous page or null if there is none

numberOptional
or
nullOptional
pageSizenumberRequired

Max count of items per page

totalnumberRequired

Total count of items

get
/groups

Get a single group

get

Find a group by ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Id of the target group

Responses
chevron-right
200

Successful response

application/json
idstringRequired

Internal unique identifier

legacyIdnumberRequired

Legacy internal unique identifier (for retro-compatibility)

namestringRequired

Group name

descriptionany ofRequired

Group description

stringOptional
or
nullOptional
statusstring · enumRequired

Group status

Possible values:
createdAtstringRequired

Creation timestamp

updatedAtstringRequired

Last modification timestamp

get
/groups/{id}

Last updated